Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003358 [JEDI VCL] 00 JVCL Components minor always 2005-12-11 19:35 2006-01-07 05:51
Reporter Kiriakos View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0003358: Error in JvJVCLUtils affecting JvHtLabel and like.
Description I had some problems with link detection with JvHTLabel and I traced the error in the Draw procedure of the JvJVCLUtils. The problem went away when I replaced the following two lines:

        if (MouseY in [R.Top..R.Top + Height]) and
          (MouseX in [R.Left..R.Left + Width]) then

with these:

        if InRange(MouseY, R.Top, R.Top + Height) and
          InRange(MouseX, R.Left, R.Left + Width) then

The above are supposed to be doing the same thing, however the former fails when the dynamically constructed set has more than 256 elements.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008284)
obones (administrator)
2006-01-05 08:01

In the current version, this has been changed to the following code:

        if (MouseY >= R.Top) and (MouseY <= R.Top + Height) and
           (MouseX >= R.Left) and (MouseX <= R.Left + Width) and
           ((MouseY > 0) or (MouseX > 0)) then


If that's ok with you, then please let us know.
(0008316)
Kiriakos (reporter)
2006-01-06 16:59

This looks fine. Please close the issue.
(0008317)
Kiriakos (reporter)
2006-01-06 16:59

This looks fine. Please close the issue.
(0008319)
obones (administrator)
2006-01-07 05:51

Thanks for the feedback

- Issue History
Date Modified Username Field Change
2005-12-11 19:35 Kiriakos New Issue
2006-01-05 08:01 obones Note Added: 0008284
2006-01-05 08:01 obones Status new => feedback
2006-01-06 16:59 Kiriakos Note Added: 0008316
2006-01-06 16:59 Kiriakos Note Added: 0008317
2006-01-07 05:51 obones Status feedback => resolved
2006-01-07 05:51 obones Resolution open => fixed
2006-01-07 05:51 obones Assigned To => obones
2006-01-07 05:51 obones Note Added: 0008319


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker